import java.awt.geom.Rectangle2D;

import javax.swing.JFrame;
import javax.swing.SwingUtilities;

public class FractalApp extends JFrame {
	protected final int FRAME_WIDTH = 900;
	protected final int FRAME_HEIGHT = 600;
	
	public FractalApp(FractalCalculator calculator, FractalRenderer renderer, Rectangle2D view) {
		this.add(new FractalPanel(view, calculator, renderer));
		
		setTitle("Fractal App");
		setSize(FRAME_WIDTH, FRAME_HEIGHT);
		setLocationRelativeTo(null);
		setDefaultCloseOperation(EXIT_ON_CLOSE);
	}

	// Remember your program should execute with something similar to:
    // java FractalApp mandelbrot green -2 -1 3 2
	public static void main(String[] args) {
		
		// you will need to make a calculator, renderer, and view to pass to the app.
 		// based on the command line arguments.

		// Here is some recommended naming:
		final FractalCalculator calculator;
		final FractalRenderer renderer; 
		final Rectangle2D view;
		
		SwingUtilities.invokeLater(new Runnable() {
			public void run() {
				FractalApp app = new FractalApp(calculator, renderer, view);
				app.setVisible(true);
			}
		});
	}
}