import java.awt.Graphics;
import java.awt.geom.Rectangle2D;

import javax.swing.JPanel;

public class FractalPanel extends JPanel {
	private Rectangle2D view;
	private FractalCalculator calculator;
	private FractalRenderer renderer;

	public FractalPanel(Rectangle2D view, FractalCalculator calculator, FractalRenderer renderer) {
		this.view = view;
		this.calculator = calculator;
		this.renderer = renderer;
	}

	public void paintComponent(Graphics g) {
		super.paintComponent(g);
		
		int width = this.getWidth();
		int height = this.getHeight();

		double heightStep = view.getHeight() / height;
		double widthStep = view.getWidth() / width;

		double startX = view.getX();
		double startY = view.getY();

		for (int col = 0; col < width; col++) {
			for (int row = 0; row < height; row++) {
				double x = startX + col * widthStep;
				double y = startY + row * heightStep;

				long value = calculator.calculate(x, y);
				g.setColor(renderer.getPixelColor(x, y, value));
				g.fillRect(col, row, 1, 1);
			}
		}
	}
}