import java.awt.Color;

public interface FractalRenderer {
	/**
	 * Given a point in 2D space and its calculated fractal iteration value,
	 * determines what color should be used to represent that point.
	 * 
	 * @param x The x coordinate
	 * @param y The y coordinate
	 * @param calculatedValue The result of calling {@link 
	 *     FractalCalculator#calculate(x, y)}
	 * @return The color for that point
	 */
	public Color getPixelColor(double x, double y, long calculatedValue);
}
